Bug 459383 - on update system-config-netboot-cmd rpm over writes msgs
on update system-config-netboot-cmd rpm over writes msgs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-netboot (Show other bugs)
5.2
All Linux
high Severity high
: rc
: ---
Assigned To: Jaroslav Reznik
BaseOS QE - Apps
:
Depends On:
Blocks: 499522
  Show dependency treegraph
 
Reported: 2008-08-18 05:08 EDT by ritz
Modified: 2013-04-12 15:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-25 04:37:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ritz 2008-08-18 05:08:58 EDT
Description of problem:
When updating the "system-config-netboot-cmd" package, the *.msg files in "/tftpboot/linux-install/msgs/" are overwritten regardless of whether they're modified.

Version-Release number of selected component (if applicable):
system-config-netboot-cmd-0.1.45.1-1.el5

How reproducible:
always

Steps to Reproduce:
yum install system-config-netboot-cmd
yum remove  system-config-netboot-cmd
yum install system-config-netboot-cmd
  
Actual results:
the *.msg files in "/tftpboot/linux-install/msgs/" are overwritten

Expected results:
none of the .msg files should be overwritten if they have been changed locally.  They should be handled like any /etc configuration files.  The boot.msg file is critical to the system build process and should not be overwritten.

Additional info:
update spec file to reflect 
/tftpboot/linux-install/msgs/
as 
%config /tftpboot/linux-install/msgs/
Comment 1 RHEL Product and Program Management 2009-03-26 13:02:25 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 errata-xmlrpc 2011-05-25 04:37:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0829.html

Note You need to log in before you can comment on or make changes to this bug.